Skip to main content
POST
/
v1
/
translation
curl -X POST https://api.woolball.xyz/v1/translation \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "Text": "Hello, world!",
    "SrcLang": "eng_Latn",
    "TgtLang": "por_Latn"
  }'
{
  "data": "Olá, mundo!"
}

Documentation Index

Fetch the complete documentation index at: https://docs.woolball.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Translate text from one language to another.

Body

Text
string
required
Text to translate
TgtLang
string
required
Target language code in FLORES 200
SrcLang
string
required
Source language code in FLORES 200

Response

data
string
The translated text

Status Codes

200
object
OK - Successful request
400
object
Bad Request - Validation error occurred
401
object
Unauthorized - Authentication failed
402
object
Payment Required
curl -X POST https://api.woolball.xyz/v1/translation \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "Text": "Hello, world!",
    "SrcLang": "eng_Latn",
    "TgtLang": "por_Latn"
  }'
{
  "data": "Olá, mundo!"
}